import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataContext } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ItemToolTipLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    protected pd: ItemToolTipLayerView;
    protected get_c2(): boolean;
    pk: string;
    pe: Series;
    ph: boolean;
    pg: boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected ou(a: Series, b: boolean): void;
    protected oh(a: Series): boolean;
    protected ow(a: Frame, b: SeriesView): void;
    private po;
    private pf;
    private pp;
    private pi;
    j1(): void;
    protected oz(a: Frame, b: SeriesView): void;
    protected dp(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ItemToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ItemToolTipLayer);
    protected b4: ItemToolTipLayer;
    b5: Pool$1<any>;
    as(): void;
    aj(): void;
    protected b7: List$1<PointerTooltip>;
    private b8;
    private ca;
    private cc;
    private cb;
    private _htmlTest;
    protected htmlTest: any;
    b6(a: Series, b: any, c: any, d: DataContext): boolean;
    cg(a: any, b: any, c: DataContext): Size;
    cf(a: any, b: number, c: number, d: number, e: number): void;
    cd(a: any): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    ce(): void;
}
